:root {
  --nr-default-background            : #f8f8f8;
  --nr-default-border-color          : silver;
  --nr-opened-background             : #f8f8f8;
  --nr-default-opened-border-color   : silver;
}

.nr-select {
  user-select: none;

  .nr-select-container {
    position: relative;

    &.open {
      .nr-select-content {
        .nr-select-display {
          border-bottom: unset;
          border-color: var(--nr-default-opened-border-color);
          background-color: var(--nr-opened-background);
        }
      }
    }

    .nr-select-display {
      cursor: pointer;
      border-radius: 0;
      height: calc(1.5em + 0.5rem + 2px);
      background-color: var(--nr-default-background);
      border: 1px solid var(--nr-default-border-color);
      position: relative;

      .nr-select-display-content {
        padding: 0.28rem 0.8rem;
        text-overflow: ellipsis !important;
        white-space: nowrap !important;
        overflow: hidden !important;
        max-width: 95%;
      }

      .nr-display-text {
        color: #a9aec5;
        text-overflow: ellipsis !important;
        white-space: nowrap !important;
        overflow: hidden !important;
        max-width: 90%
      }
      .has-value {
        color: inherit;
      }

      &.is-invalid {
        border-color: #ff5b5b !important;
        padding-right: calc(1.5em + 0.9rem);
      }
    }

    .nr-select-dropdown {
      background-color: var(--nr-opened-background);
      width: 100%;
      z-index: 150;
      position: absolute;
      border: 1px solid var(--nr-default-opened-border-color);
      border-top: unset;
    }

    .nr-select-search-input {
      margin: 10px;
    }

    .nr-select-list {
      overflow-y: scroll;

      ul {
        margin: 0;
        padding: 0;
        list-style-type: none;
        max-height: 250px;

        li {
          padding: 0.75rem 1rem;
          width: 100%;
          cursor: pointer;

          &.current {
            background-color: #98a6ad;
            color: white;
          }
          &:hover {
            background-color: #0d47a1;
            color: white;
          }
        }
      }
    }
  }
}

.no-items {
  text-align: center;
  padding: 20px;
}

.nr-select-list::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 4px rgba(0, 0, 0, .3);
  border-radius: 0px;
  background-color: #ededed
}

.nr-select-list::-webkit-scrollbar {
  width: 8px;
  background-color: #f5f5f5
}

.nr-select-list::-webkit-scrollbar-thumb {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
  background-color: #555
}

.fa-icons-container {
  position: absolute;
  z-index: 1000;
  right: 8px;
  top: 5px;
}

.fa-icons-container i {
  margin-left: 4px;
}



